import { NzModalSubject, NzMessageService } from 'ng-zorro-antd';
import { Component, OnInit } from '@angular/core';
import { ModalHelper } from '@delon/theme';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styles: []
})
export class UserInstallerEditComponent implements OnInit {

  user: any;

  constructor(
    private modalHelper: ModalHelper,
    private subject: NzModalSubject,
    public msgSrv: NzMessageService,
    public http: HttpClient) { }

  ngOnInit() {
    if (this.user.id > 0) {
      this.http.get('http://localhost:8001/user/operate_user/' + this.user.id).subscribe((res: any) => {
          this.user = res.data[0];
      });
    }
  }

  save() {
    this.http.get('./assets/pois.json').subscribe(() => {
      this.msgSrv.success('保存成功，只是模拟，实际未变更');
      this.subject.next('true');
      this.close();
    });
  }

  close() {
    this.subject.destroy();
  }

}
